package course

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type CourseUsersRouter struct {
}

// InitCourseUsersRouter 初始化 CourseUsers 路由信息
func (s *CourseUsersRouter) InitCourseUsersRouter(Router *gin.RouterGroup) {
	courseUsersRouter := Router.Group("courseUsers").Use(middleware.OperationRecord())
	courseUsersRouterWithoutRecord := Router.Group("courseUsers")
	var courseUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseUsersApi
	{
		courseUsersRouter.POST("createCourseUsers", courseUsersApi.CreateCourseUsers)   // 新建CourseUsers
		courseUsersRouter.DELETE("deleteCourseUsers", courseUsersApi.DeleteCourseUsers) // 删除CourseUsers
		courseUsersRouter.DELETE("deleteCourseUsersByIds", courseUsersApi.DeleteCourseUsersByIds) // 批量删除CourseUsers
		courseUsersRouter.PUT("updateCourseUsers", courseUsersApi.UpdateCourseUsers)    // 更新CourseUsers
	}
	{
		courseUsersRouterWithoutRecord.GET("findCourseUsers", courseUsersApi.FindCourseUsers)        // 根据ID获取CourseUsers
		courseUsersRouterWithoutRecord.GET("getCourseUsersList", courseUsersApi.GetCourseUsersList)  // 获取CourseUsers列表
	}
}

// InitCourseUsersMetaMaskRouter 初始化 CourseUsers 路由信息
func (s *CourseUsersRouter) InitCourseUsersMetaMaskRouter(Router *gin.RouterGroup) {
	courseUsersRouter := Router.Group("courseUsers").Use(middleware.OperationRecord())
	//courseUsersRouterWithoutRecord := Router.Group("courseUsers")
	var courseUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseUsersApi
	{
		courseUsersRouter.GET("findUsers", courseUsersApi.FindCourseUsersMM)        // 根据ID,addr获取用户信息
	}
}

// InitCourseUsersPubRouter 初始化 CourseUsers 路由信息
func (s *CourseUsersRouter) InitCourseUsersPubRouter(Router *gin.RouterGroup) {
	courseUsersRouterWithoutRecord := Router.Group("courseUsers")
	var courseUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseUsersApi
	{
		courseUsersRouterWithoutRecord.POST("login",courseUsersApi.MetaMaskLogin)
	}
}
